# IBM Visualization Data Explorer User's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### FFT

Category

Transformation

Function

Computes a fast Fourier transform.

Syntax

    output = FFT(input, direction, center);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field | none | field to be transformed
`direction` | string | "forward" | direction of the transform
`center` | flag | 0 | center the result of the transform

Outputs

Name | Type | Description
--- | --- | ---
`output` | field | transformed data

Functional Details

This module computes the fast Fourier transform of a 2- or 3-dimensional regular data set.

`input` | specifies the field to be transformed.
`direction` | is one of the following: "forward," "inverse," or "backward" (the last two are interchangeable).
`center` | specifies whether zero frequency should be placed at the center of the transformed field or at the origin of the positions array.

Note: This module requires that the number of data items in each dimension be a power of 2. If it is not, use the DFT module.

Components

All scalar components of `input` are individually Fourier-transformed and output as complex float. All other input components are propagated to the output. Thus a float 2-vector input produces a complex 2-vector output.

Example Visual Programs

    FFT.net

See Also

DFT, Filter, Morph

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]